interface AssignmentValidatorEvents {
    step: (name: string, message: string) => void;
    subStep: (name: string, message: string) => void;
    endStep: (stepName: string, message: string, error: boolean) => void;
    endSubStep: (subStepName: string, message: string, error: boolean) => void;
    logs: (log: string, error: boolean, displayable: boolean, currentStep: string, currentSubStep: string) => void;
    finished: (success: boolean, exitCode: number) => void;
}


export default AssignmentValidatorEvents;